-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans (2) .- Knowledge Base  . 

Kate C++ Helper Plugin

   1.0.4  

KDE Text Editor

Score 73%
Kate C++ Helper Plugin
zoom


Kate C++ Helper Plugin
zoom


Kate C++ Helper Plugin
zoom


Version Control:  Link
Homepage:  Link
Minimum required   KDE 4.x
Downloads:  1300
Submitted:  Jan 30 2012
Updated:  Oct 14 2014

Description:

This plugin is intended to simplify the hard life of C/C++ programmers who use Kate to write code.
It has C++ code completion (clang based), #include files completion, smarter replacement for standard Open Header plugin, source code index/search facility, and few other neat features (check README for details).

Check homepage for more screenshots :)




Changelog:

Version 1.0.4

* action to toggle `#include ` into `#include ""` and vise versa
* improve _Open header/implementation_ action
* improve support for local `#includes` (i.e. withing quotes)
* and as usual some code refactorings

Version 1.0.3

* improve `#include` helper to support local (i.e. in quotes) headers
* introduce preprocessor directives completions after `'#'` pressed
at line start. Also it will substitute directive if user continue to
type characters and there is no ambiguity -- yep, like it was before
this release if user types `'#in'`.
* ATTENTION C++14 used since this version! So, you'd better to have
GCC >= 4.9 or Clang >= 3.5

Version 1.0.2

* add import/export completions sanitizer rules
* provide sample, but quite useful, sanitizer rules
* keep current include set selected after store it
* add action to step back after lookup declaration/definition
* set default shortcuts for all lookup action same as ctags plugin has
* eliminate compile error w/ gcc 4.9. fix issue #18
* few cleanups in UI and code
* a bunch of improvements in build system (not interested to end-users ;-)

Version 1.0.1
* use KDE palette to colorize diagnostic messages and `#include` explorer
* add Go to Declaration/Definition to context menu
* few refactorings planned after 1.0.0 release

Version 1.0
* introduce source code indexer and full featured search facility.
It allows to build various queries to indexed collections and do a really flexible search. For example, to find all public typedefs of std::basic_string:
scope:std::basic_string access:public kind:typedef
* extract doxygen comments for completion items and show it as a tip, when `Alt` modifier pressed
* use `KTextEditor::TemplateInterface2` when substitute completion item into a document
* improve completion for unsaved files
* A LOT of refactorings to improve stability/maintainability
* allow to move tabs in a tool view, save/restore tool view layout




LicenseGPL
Source(bz2 tarball)
Gentoo(live ebuild)
Arch(package by arcanis)
Send to a friend
Subscribe
Other  Apps  from zaufi
Report inappropriate content



-

 KateCppHelperPlugin

 
 by mrbit on: Dec 24 2012
 
Score 50%

with ver. 0.8.6 no compila ????

[ 66%] Building CXX object src/CMakeFiles/katecpphelperplugin.dir/clang_utils.o
[ 72%] Building CXX object src/CMakeFiles/katecpphelperplugin.dir/clang_code_completion_item.o
/home/mrbit/aur3/kateinclude-helper-plugin/src/KateCppHelperPlugin-0.8.6/src/translation_unit.cpp: In function ‘void kate::{anonymous}::debugShowCompletionResult(unsigned int, unsigned int, CXCompletionString, CXCursorKind)’:
/home/mrbit/aur3/kateinclude-helper-plugin/src/KateCppHelperPlugin-0.8.6/src/translation_unit.cpp:77:64: error: ‘clang_getCompletionBriefComment’ was not declared in this scope
make[2]: *** [src/CMakeFiles/katecpphelperplugin.dir/translation_unit.o] Errore 1
make[2]: *** Attesa dei processi non terminati....
make[1]: *** [src/CMakeFiles/katecpphelperplugin.dir/all] Errore 2
make: *** [all] Errore 2


Reply to this

-
.

 Re: KateCppHelperPlugin

 
 by zaufi on: Dec 24 2012
 
Score 50%

Oops... sorry I played w/ clang 3.2 and forget to wrap it into #ifdefs...
error has been fixed, tarball reloaded.


Reply to this

-

 Re: Re: KateCppHelperPlugin

 
 by mrbit on: Dec 24 2012
 
Score 50%

ok, thanks now compila...
Merry Christmas.


Reply to this

-

 can not build

 
 by l12436 on: Sep 29 2013
 
Score 50%

can not build witch kde 4.11
Generating moc_cpp_helper_plugin.cpp
/run/shm/kate-cpp-helper-plugin-master/src/cpp_helper_plugin.h:61: Error: Undefined interface
automoc4: process for /run/shm/kate-cpp-helper-plugin-master/build/src/moc_cpp_helper_plugin.cpp failed: Unknown error
pid to wait for: 0


Reply to this

-
.

 Re: can not build

 
 by zaufi on: Sep 29 2013
 
Score 50%

make sure that kate developer files are installed.
try this `locate kate/plugin.h`


Reply to this

-

 Re: Re: can not build

 
 by l12436 on: Sep 29 2013
 
Score 50%

i think that is the old .h
the kde 4.11. i can not found where is that header file.
so i could not know how to build.


Reply to this

-
.

 Re: Re: Re: can not build

 
 by zaufi on: Sep 29 2013
 
Score 50%

I've just commited a fix for debian/ubuntu which do not have a package for required files (see issue #10 in project tracker).
Please try to compile from git (will be included in a next release)...


Reply to this

-

 Re: Re: Re: Re: can not build

 
 by l12436 on: Sep 30 2013
 
Score 50%

i think you can put all the kate dev file into the third partXD
now is this file not foud: kate_export.h


Reply to this

-

 Re: Re: Re: Re: Re: can not build

 
 by zaufi on: Sep 30 2013
 
Score 50%

missed kate_export.h now in git repo.
plz try again


Reply to this

-

 Re: Re: Re: Re: Re: Re: can not build

 
 by l12436 on: Sep 30 2013
 
Score 50%

did i need to give the deb to you?
i build in ubuntu 13.04 kde 4.11.1:)
and i have build the deb with checkinstall.



-

 error in your deb

 
 by l12436 on: Dec 14 2013
 
Score 50%

there are a error after libclang1 in control
and ubuntu's libclang1 only has 3.2
after 3.2 the lib name like this.

libclang1-3.3
libclang1-3.4


Reply to this

-

 Re: error in your deb

 
 by l12436 on: Dec 14 2013
 
Score 50%

your source code could not compile in kde 4.11.97(4.12 beta)


Reply to this

-

 Re: Re: error in your deb

 
 by zaufi on: Dec 14 2013
 
Score 50%

please use issues tracker @ github.com to report details about compiler errors. the .deb already fixed in `master` and reloaded


Reply to this

-

 (K)ubuntu 14.04 support, theme?

 
 by SoftwareExplorer on: Apr 26 2014
 
Score 50%

Two questions:
I tried your .deb on Kubuntu 14.04 and can't find the plugin showing up in Kate. I'm not sure what/where I could check from there to try to debug whats going on.

Second, on your page for it at http://zaufi.github.io/kate-cpp-helper-plugin.html, you have a very nice looking dark and bright green theme. What is it?/Where can I get it?


Reply to this

-

 Re: (K)ubuntu 14.04 support, theme?

 
 by zaufi on: Apr 26 2014
 
Score 50%

1. yeah, that package is for Ubuntu 13.10 ... I need to rebuild one for recently released 14.04 (I'll do it soon... after I've find a way to start my ubuntu repo w/ debs for varous distros). But you still can compile it from sources :)

2. color scheme for kate can be found here: https://github.com/zaufi/kate-stuff/tree/master/schema I'll put my KDE color theme here as well, so you can get it :) -- watch for updates in that repo :)


Reply to this

-

 Re: Re: (K)ubuntu 14.04 support, theme?

 
 by SoftwareExplorer on: Apr 26 2014
 
Score 50%

First of all, regarding the Color scheme, thanks!

As far as building the plugin from source, I did try that from the git repo, but kept running into errors, and Google wasn't much help figuring out what build deps I'm missing.

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
QT_QT_INCLUDE_DIR
used as include directory in directory /home/erik/build/kate-cpp-helper-plugin/build/CMakeFiles/CMakeTmp

CMake Error: Internal CMake error, TryCompile configure of cmake failed

CMake Error at /usr/share/kde4/apps/cmake/modules/FindKDE4Internal.cmake:1311 (message):
Unable to compile a basic Qt application. Qt has not been found correctly.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (find_package)
CMakeLists.txt:43 (find_package)


I'm not quite sure I understand what you mean by "find a way to start
my ubuntu repo w/ debs for varous distros". Do you mean for different versions of Ubuntu? Or being able to do (K/L)Ubuntu, Debian, Mint, etc? I've used launchpad.net for PPAs and it will build .deb packages in their environment for you from Debian source packages, and that can handle multiple versions. It's nice in that you don't have to set up an optimal build environment (they've already done that for you).


Reply to this

-

 Re: Re: Re: (K)ubuntu 14.04 support, theme?

 
 by zaufi on: Apr 26 2014
 
Score 50%

contact me via XMPP, I'll try to help you w/ compilation.
my JID is the same as email and can be found at my github user page.


Reply to this

-

 kate-cpp-helper git

 
 by mrbit on: Oct 14 2014
 
Score 50%

Hi, gentoo with kde 4.14.1 gcc 4.8

[ 0%] Built target katecpphelperplugin_automoc
[ 2%] Building CXX object src/CMakeFiles/katecpphelperplugin.dir/document_info.cpp.o
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp: In member function ‘void kate::DocumentInfo::updateStatus()’:
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:64: error: parameter declared ‘auto’
std::for_each(begin(m_ranges), end(m_ranges), [this](auto& r) { this->updateStatus(r); });
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp: In lambda function:
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:88: error: ‘r’ was not declared in this scope
std::for_each(begin(m_ranges), end(m_ranges), [this](auto& r) { this->updateStatus(r); });
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp: In member function ‘std::vector<kate::DocumentInfo::State>::iterator kate::DocumentInfo::findRange(KTextEditor::MovingRange*)’:
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:25: error: parameter declared ‘auto’
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp: In lambda function:
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:255:29: error: ‘item’ was not declared in this scope
return range == item.range.get();
^
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h: In instantiation of ‘_Funct std::for_each(_IIter, _IIter, _Funct) [with _IIter = __gnu_cxx::__normal_iterator<kate::DocumentInfo::State*, std::vector<kate::DocumentInfo::State> >; _Funct = kate::DocumentInfo::updateStatus()::__lambda0]’:
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:93: required from here
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:4417:14: error: no match for call to ‘(kate::DocumentInfo::updateStatus()::__lambda0) (kate::DocumentInfo::State&)’
__f(*__first);
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:56: note: candidate is:
std::for_each(begin(m_ranges), end(m_ranges), [this](auto& r) { this->updateStatus(r); });
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:65: note: kate::DocumentInfo::updateStatus()::__lambda0
std::for_each(begin(m_ranges), end(m_ranges), [this](auto& r) { this->updateStatus(r); });
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:125:65: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h: In instantiation of ‘_RandomAccessIterator std::__find_if(_RandomAccessIterator, _RandomAccessIterator, _Predicate, std::random_access_iterator_tag) [with _RandomAccessIterator = __gnu_cxx::__normal_iterator<kate::DocumentInfo::State*, std::vector<kate::DocumentInfo::State> >; _Predicate = kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1]’:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:4465:41: required from ‘_IIter std::find_if(_IIter, _IIter, _Predicate) [with _IIter = __gnu_cxx::__normal_iterator<kate::DocumentInfo::State*, std::vector<kate::DocumentInfo::State> >; _Predicate = kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1]’
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:257:7: required from here
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:214:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:218:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:222:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:226:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:234:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:238:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/algorithm:62:0,
from /usr/include/boost/multi_index_container.hpp:19,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.h:29,
from /tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:24:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.2/include/g++-v4/bits/stl_algo.h:242:23: error: no match for call to ‘(kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1) (kate::DocumentInfo::State&)’
if (__pred(*__first))
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:11: note: candidate is:
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: kate::DocumentInfo::findRange(KTextEditor::MovingRange*)::__lambda1
, [=](const auto& item)
^
/tmp/portage/kde-misc/kate-cpp-helper-9999/work/kate-cpp-helper-9999/src/document_info.cpp:253:29: note: candidate expects 0 arguments, 1 provided
src/CMakeFiles/katecpphelperplugin.dir/build.make:606: set di istruzioni per l'obiettivo "src/CMakeFiles/katecpphelperplugin.dir/document_info.cpp.o" non riuscito
make[2]: *** [src/CMakeFiles/katecpphelperplugin.dir/document_info.cpp.o] Errore 1

not compila..!!
idea ?


Reply to this

-
.

 Re: kate-cpp-helper git

 
 by zaufi on: Oct 14 2014
 
Score 50%

take a look to ATTENTION note at changelog of version 1.0.3 on this site or homepage, or read requirements in README.


Reply to this

-

 Re: kate-cpp-helper git

 
 by mrbitt on: Oct 14 2014
 
Score 50%

oops...ok
Thanx.


Reply to this

Add commentBack






-
-
How do you like Plasma 5?
 The best KDE Desktop ever.
 Definitely a nice improvement.
 Not decided yet. Haven't tried it yet.
 I do not like some of the changes.
 KDE is taking the wrong way.
 I am still sticking with KDE 3.5.
 I have no opinion, but wanted to vote anyway.

resultmore
 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Apps
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
Events RSS   

Participate
Groups
Forum
Add App
Public API
About KDE-Apps.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2003-2014 KDE-Apps.org Team  
All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.